// dx9fxutil.h

#pragma once

using namespace System;

namespace dx9fxutil {

    public delegate void LogWarningDelegate(UInt32 level, String^ message, UInt32 line, UInt32 column);
    public delegate void LogErrorDelegate(UInt32 level, String^ message, UInt32 line, UInt32 column);

    public ref class PixelShaderCompiler
    {
    public:
        void Compile(
            String^ shaderFileName,
            String^ shaderText,
            String^ psProfile,
            String^ destPSFile,
            LogWarningDelegate^ warningCallback,
            LogErrorDelegate^ errorCallback);
    };
}
